Subject: (urth) TD Tarot:

From: Alice Turner <akt at attglobal.net>
Date: Sun, 07 May 2000 23:26:44 +0000

Just a bit more on the TD Tarot, this also from my essay:

And what of the seven greater trumps? They match the seven moons or
planets of this world. They also—this is clever—represent the figures in
Crowley’s planetwide folk religion in which Seven Strengths (we call
them Virtues) eternally battle Seven Possessions (Deadly Sins) for the
hearts and souls of men. Five of these are identical to our own; he has
somewhat changed the other two. I call it clever because the Seven
Deadly Sins turned up everywhere, figuratively and literally, in the
fifteenth century; they’re indelibly associated with the period.

-alga

 p.s. Nick, if you need more on this, let me know.

*More Wolfe info & archive of this list at http://www.urth.net/urth/